### Interface

# Meta InhibitShortcutsDialog

#### Description

    interface Meta.InhibitShortcutsDialog : GObject.Object

No description available.

#### Prerequisite

In order to implement InhibitShortcutsDialog, your type must inherit from`GObject`.

#### Instance methods

###### meta_inhibit_shortcuts_dialog_hide

Hides the inhibit shortcuts dialog.

###### meta_inhibit_shortcuts_dialog_response

Responds and closes the dialog. To be called by `MetaInhibitShortcutsDialog` implementations.

###### meta_inhibit_shortcuts_dialog_show

Shows the inhibit shortcuts dialog.

#### Properties

###### Meta.InhibitShortcutsDialog:window

No description available.

#### Signals

###### Meta.InhibitShortcutsDialog::response

No description available.

#### Interface structure

    struct MetaInhibitShortcutsDialogInterface {
      GTypeInterface parent_iface;
      void (* show) (
        MetaInhibitShortcutsDialog* dialog
      );
      void (* hide) (
        MetaInhibitShortcutsDialog* dialog
      );

    }

No description available.

###### Interface members

`parent_iface` |
    GTypeInterface
| No description available.
`show` |
    void (* show) (
        MetaInhibitShortcutsDialog* dialog
      )
| No description available.
`hide` |
    void (* hide) (
        MetaInhibitShortcutsDialog* dialog
      )
| No description available.

#### Virtual methods

###### Meta.InhibitShortcutsDialog.hide

Hides the inhibit shortcuts dialog.

###### Meta.InhibitShortcutsDialog.show

Shows the inhibit shortcuts dialog.